org.apache.ignite.internal.transactions

## Class IgniteTxSerializationCheckedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.transactions.TransactionCheckedException
        - - org.apache.ignite.internal.transactions.IgniteTxSerializationCheckedException

All Implemented Interfaces:
  Serializable

    public class IgniteTxSerializationCheckedException
    extends TransactionCheckedException

Exception thrown whenever transaction can't be serialized due to write conflict.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgniteTxSerializationCheckedException(String msg)` Creates new transaction serialization exception with given error message.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteTxSerializationCheckedException

    public IgniteTxSerializationCheckedException(String msg)

Creates new transaction serialization exception with given error message.

Parameters:
  `msg` - Error message.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020